
{{alias}}( shape, idx[, options] )
    Converts a linear index to an array of subscripts.

    Parameters
    ----------
    shape: ArrayLike
        Array shape.

    idx: integer
        Linear index.

    options: Object (optional)
        Options.

    options.order: string (optional)
        Specifies whether an array is row-major (C-style) or column-major
        (Fortran style). Default: 'row-major'.

    options.mode: string (optional)
        Specifies how to handle a linear index which exceeds array dimensions.
        If equal to 'throw', the function throws an error when a linear index
        exceeds array dimensions. If equal to 'normalize', the function
        normalizes negative linear indices and throws an error when a linear
        index exceeds array dimensions. If equal to 'wrap', the function wraps
        around a linear index exceeding array dimensions using modulo
        arithmetic. If equal to 'clamp', the function sets a linear index
        exceeding array dimensions to either `0` (minimum linear index) or the
        maximum linear index. Default: 'throw'.

    Returns
    -------
    out: Array<integer>
        Subscripts.

    Examples
    --------
    > var d = [ 3, 3, 3 ];
    > var s = {{alias}}( d, 17 )
    [ 1, 2, 2 ]


{{alias}}.assign( shape, idx[, options], out )
    Converts a linear index to an array of subscripts and assigns results to a
    provided output array.

    Parameters
    ----------
    shape: ArrayLike
        Array shape.

    idx: integer
        Linear index.

    options: Object (optional)
        Options.

    options.order: string (optional)
        Specifies whether an array is row-major (C-style) or column-major
        (Fortran style). Default: 'row-major'.

    options.mode: string (optional)
        Specifies how to handle a linear index which exceeds array dimensions.
        If equal to 'throw', the function throws an error when a linear index
        exceeds array dimensions. If equal to 'normalize', the function
        normalizes negative linear indices and throws an error when a linear
        index exceeds array dimensions. If equal to 'wrap', the function wraps
        around a linear index exceeding array dimensions using modulo
        arithmetic. If equal to 'clamp', the function sets a linear index
        exceeding array dimensions to either `0` (minimum linear index) or the
        maximum linear index. Default: 'throw'.

    out: Array|TypedArray|Object
        Output array.

    Returns
    -------
    out: Array|TypedArray|Object
        Subscripts.

    Examples
    --------
    > var d = [ 3, 3, 3 ];
    > var out = [ 0, 0, 0 ];
    > var s = {{alias}}.assign( d, 17, out )
    [ 1, 2, 2 ]
    > var bool = ( s === out )
    true

    See Also
    --------

